package ru.myitschool.work.api

import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.PATCH
import retrofit2.http.Path

interface ApiService {
    @GET("api/{login}/auth")
    suspend fun authenticate(@Path("login") login: String): Response<Unit>

    @GET("api/{login}/info")
    suspend fun getUserInfo(@Path("login") login: String): Response<Map<String, Any>> // Возвращаем Map вместо UserInfo

    @PATCH("api/{login}/open")
    suspend fun openDoor(@Path("login") login: String, @Body body: OpenDoorRequest): Response<Unit>
}

data class OpenDoorRequest(val value: String)